
*	**********************************************************************	*
*	This file replicates Table 2 of											*
*	Hollyer, James R., B. Peter Rosendorff, James Raymond Vreeland			*
*	Transparency, Protest, and Autocratic Instability						*
*	American Political Science Review										*
*	**********************************************************************	*

* Please change local DIR to your working directory:
*	**********************************************************************	*
local DIR = "C:\A\transpar\HRV_APSR_Replication_Materials\" 
cd "`DIR'" 
*	**********************************************************************	*

version 11

capture log close
clear
clear mata
clear matrix
set mem 500m
set more off
graph drop _all

log using "HRV_APSR_Table2.log", replace

use "HRV_APSR_Table2.dta", clear

*Table 2. Cox Model of Democratic Transitions, DD Definitions

*Cond. Prior Transition: 
	*Model 1:
	stcox lag_transparency lag_growth lag_trans_growth lag_GDP lag_open lag_party lag_party_t lag_mil, strata(prior_transition) nohr cluster(AutocID)
		estimates store surv1
	*Model 2:
	stcox lag_transparency lag_growth lag_trans_growth, strata(prior_transition) nohr cluster(AutocID)
		estimates store surv2

*Cond Num. Transitions:
	*Model 3:
	stcox lag_transparency lag_growth lag_trans_growth lag_GDP lag_open lag_party lag_party_t lag_mil, strata(num_transitions) nohr cluster(AutocID)
		estimates store surv3
	*Model 4:
	stcox lag_transparency lag_growth lag_trans_growth, strata(num_transitions) nohr cluster(AutocID)
		estimates store surv4

*No Prior Transition:
	*Model 5:
	stcox lag_transparency lag_growth lag_trans_growth lag_GDP lag_open lag_party lag_party_t lag_mil if prior_transition==0, nohr cluster(AutocID)
		estimates store surv5
	*Model 6:
	stcox lag_transparency lag_growth lag_trans_growth if prior_transition==0, nohr cluster(AutocID) 
		estimates store surv6


*Table 2 output in TeX:
estout surv1 surv2  surv3 surv4 surv5 surv6 using "HRV_APSR_Table2.tex", cells(b(star fmt(3)) ci(par fmt(3))) starlevels(* 0.10 ** 0.05 *** 0.01)  stats(N_clust N_fail, labels("\# of Subjects" "\# of Failures")) style(tex) replace

log close
